Skip to main content
GET
/
public
/
{user_id}
/
orders
/
{publicOrder_uuid}
/
transactions
List Order Transactions
curl --request GET \
  --url https://apigw.ipxo.com/ecommerce/public/{user_id}/orders/{publicOrder_uuid}/transactions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "uuid": "b28319af-48d1-3c1a-8720-886d58427274",
      "type": "charge",
      "status": "processing",
      "gateway_driver": "cash",
      "amount": {
        "currency": "USD",
        "amount": "90.71",
        "amount_minor": 9071
      },
      "reference": "49ef46c6-c768-36e4-af87-f1654e55f667",
      "created_at": "2026-03-03T14:05:30.0000000+00:00"
    },
    {
      "uuid": "7358e0ab-216a-3f60-843f-5fe6bc039181",
      "type": "charge",
      "status": "processing",
      "gateway_driver": "cash",
      "amount": {
        "currency": "USD",
        "amount": "32.72",
        "amount_minor": 3272
      },
      "reference": "c016a561-1c02-3fc9-99fe-e5e7d0232b0b",
      "created_at": "2026-03-03T14:05:30.0000000+00:00"
    }
  ],
  "meta": {
    "current_page": 1,
    "total": 2,
    "per_page": 10
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

user_id
string
required

The ID of the user.

publicOrder_uuid
string
required

Response

200 - application/json
data
object[]
Example:
[
{
"uuid": "b28319af-48d1-3c1a-8720-886d58427274",
"type": "charge",
"status": "processing",
"gateway_driver": "cash",
"amount": {
"currency": "USD",
"amount": "90.71",
"amount_minor": 9071
},
"reference": "49ef46c6-c768-36e4-af87-f1654e55f667",
"created_at": "2026-03-03T14:05:30+00:00"
},
{
"uuid": "7358e0ab-216a-3f60-843f-5fe6bc039181",
"type": "charge",
"status": "processing",
"gateway_driver": "cash",
"amount": {
"currency": "USD",
"amount": "32.72",
"amount_minor": 3272
},
"reference": "c016a561-1c02-3fc9-99fe-e5e7d0232b0b",
"created_at": "2026-03-03T14:05:30+00:00"
}
]
meta
object